Subject: Re: HPFA Comments

From: Ken Hawick <[email-masked]>
Date: Thu, 18 Jun 1998 08:49:30 +0930

Geoffrey,
  I am in fact in process of reworking HPFA stuff.  Are you going to be
at the HPF User group in Portugal on 25-26 June?

I hope to see Hon in Edinburgh in early July and was hoping to get out
to Syracuse to see you and Mark on 10 July...will you be around then?  

( I am passing through broefly on way to a couple of conferences, so can
only stop off that one day unfortunetely).

If this DEC guy will be at the HPF UG meeting I can contact him then.

Whta are you guys up to with HPF these days anyway?

Hope to see you on 10th,
Slainte,
Ken

Geoffrey Fox wrote:
> 
> Ken and Hon might comment on these comments
> 
> Geoffrey Fox  [email-masked],   http://www.npac.syr.edu
> Director of NPAC and Professor of Physics and Computer Science
> Phone 3154432163 (Npac central 3154431723) Fax 3154434741
> 
> ------- Forwarded Message
> 
> Date:    Thu, 21 May 1998 13:26:54 -0400
> From:    Jonathan Harris <[email-masked]>
> To:      [email-masked]
> cc:      [email-masked]
> Subject: HPFA benchmarks
> 
> Dear Dr. Fox,
> 
> This note is to follow up our phone call about the HPFA kernels you
> discussed in your paper (with Yau and Hawick) "Evaluation of High
> Performance Fortran through Application Kernels", given at HPCN'97.
> 
> I am interested in working with NPAC to produce an improved version of
> the HPFA kernels.  I am including a uuencoded, gzipped tar file with
> versions of the benchmarks that I modified.  Some needed little or no
> modification, but others were changed substantially; these versions
> are considerably cleaner and faster than the original versions; they
> conform strictly to the HPF standard, and better represent idiomatic
> HPF usage.  Just for comparison, these modified codes, run on a
> current-generation Digital AlphaServer 8400, average more than a 500
> times speedup (that is not a typographical error) over the results
> reported in the paper.  A summary of my comments on the paper, and
> information on what I did with each kernel, may be found in the file
> README.notes in the top-level directory of the files I sent.
> 
> Thank you again for your gracious response, and I look forward to
> hearing from you.
> 
>                                 Sincerely,
> 
>                                 Jonathan Harris
> 
> ______________________________________________________________________
>                                 [email-masked]
> 
>                                 HPF Project Leader
>                                 High Performance Computing Group
>                                 PKO3-2/B12
>                                 Digital Equipment Corporation
>                                 129 Parker Street
>                                 Maynard, Massachusetts 01754-2198
>                                 U.S.A.
>                                 508/493-1641
> ______________________________________________________________________
> 
>                              Name: Digital_HPFA.tar.gz
>    Digital_HPFA.tar.gz       Type: Unix Tape Archive (application/x-tar)
>                          Encoding: x-uuencode
> 
> ------- End of Forwarded Message

--
Dr Ken Hawick                           [email-masked]
Senior Research Fellow                  http://www.dhpc.adelaide.edu.au
Department of Computer Science,         Tel: +61 8 8303 4519
The University of Adelaide              Fax: +61 8 8303 4366
South Australia 5005                    Messages:  4725 / 4949 / 5681